Bug 2115397 - CVE-2022-21509 CVE-2022-21515 CVE-2022-21517 CVE-2022-21522 CVE-2022-21525 CVE-2022-21526 CVE-2022-21527 CVE-2022-21528 CVE-2022-21529 CVE-2022-21530 CVE-2022-21531 CVE-2022-21534 CVE-2022-21537 ... community-mysql: various flaws [fedora-all]
Summary: CVE-2022-21509 CVE-2022-21515 CVE-2022-21517 CVE-2022-21522 CVE-2022-21525 CV...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: community-mysql
Version: 36
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-21592 CVE-2022-21635 CVE-2022-21638 CVE-2022-21641 CVE-2022-21509 CVE-2022-21515 CVE-2022-21517 CVE-2022-21522 CVE-2022-21525 CVE-2022-21526 CVE-2022-21527 CVE-2022-21528 CVE-2022-21529 CVE-2022-21530 CVE-2022-21531 CVE-2022-21534 CVE-2022-21537 CVE-2022-21538 CVE-2022-21539 CVE-2022-21547 CVE-2022-21553 CVE-2022-21569
TreeView+ depends on / blocked
 
Reported: 2022-08-04 15:17 UTC by Mauro Matteo Cascella
Modified: 2022-11-15 14:43 UTC (History)
4 users (show)

Fixed In Version: community-mysql-8.0.30-2.fc36 community-mysql-8.0.30-2.fc35
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-11 08:05:56 UTC
Type: ---


Attachments (Terms of Use)

Description Mauro Matteo Cascella 2022-08-04 15:17:05 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Mauro Matteo Cascella 2022-08-04 15:17:06 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2115283,2115284,2115285,2115286,2115287,2115288,2115289,2115290,2115291,2115292,2115293,2115294,2115295,2115296,2115297,2115298,2115299,2115301,2115397

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Mauro Matteo Cascella 2022-08-04 15:24:08 UTC
Fixed upstream in version 8.0.30.

Comment 4 Fedora Update System 2022-08-12 08:54:10 UTC
FEDORA-2022-9178229cd7 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-9178229cd7

Comment 5 Fedora Update System 2022-08-12 08:54:14 UTC
FEDORA-2022-7197cef91f has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-7197cef91f

Comment 6 Fedora Update System 2022-08-13 01:09:37 UTC
FEDORA-2022-7197cef91f has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-7197cef91f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-7197cef91f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-08-13 01:31:49 UTC
FEDORA-2022-9178229cd7 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-9178229cd7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-9178229cd7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-08-22 01:10:29 UTC
FEDORA-2022-7197cef91f has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2022-08-22 01:34:21 UTC
FEDORA-2022-9178229cd7 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Mauro Matteo Cascella 2022-11-15 14:43:30 UTC
Added CVE-2022-21635, CVE-2022-21638, CVE-2022-21641 and CVE-2022-21592 from Oracle CPU Oct 2022: https://www.oracle.com/security-alerts/cpuoct2022.html#AppendixMSQL.


Note You need to log in before you can comment on or make changes to this bug.